/* ===== Reset ===== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ===== Basis ===== */
html, body {
    height: auto;
}

body {
    font-family: "Quicksand", sans-serif;
    font-weight: 300;
    font-style: normal;
    line-height: 1.6;
    letter-spacing: 0.3px;
    font-optical-sizing: auto;
    color: #fff;
    background-image: url("../images/background.webp");
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

body::before {
	content: "";
	position: fixed; 
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.60); 
	z-index: -1;
}

a {
    color: #f68d30;
    text-decoration: none;
}

p {
	font-weight: 500;
    line-height: 30px;
	color: #fff;
}

b {
    font-weight: 600;
    color: #f68d30;
}

h1, h2, h3, h4 {
    font-family: "Quicksand", sans-serif;
    color: #f68d30;
    line-height: 1.4;
    text-shadow: 2px 2px 4px rgb(0, 0, 0);
}

a {
    text-decoration: none;
    color: inherit;
}

/* min height op pagina */
html, body {
    height: 100%;         
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;  
}

.main {
    flex: 1;
}

/* ===== Container ===== */
.container {
    width: 90%;
    max-width: 1250px;
    margin: 0 auto;
}

.inner-container {
    max-width: 750px;
    margin: 0 auto;
}

/* ===== Header ===== */
.header {
    color: #fff;
    padding: 15px 0;
}

.header .container {
	display: flex;
	justify-content: space-between;
	flex-direction: column;
	gap: 10px;
	align-items: center;
	background: linear-gradient( to bottom, rgb(0, 0, 0), rgba(0, 0, 0, 0.38) );
	padding: 10px 0 25px 0;
    border-bottom: #f68d30 1px solid;
    border-radius: 0px 0px 60px 60px;
}

.header .logo {
    width: 220px;
    height: auto;
    margin: 0 auto;
}

.header .logo img {
    width: 100%;
    height: auto;
    display: block;
}

/* ===== Navigation ===== */
.nav a {
    margin-left: 20px;
    color: #000;
    font-size: 18px;
    transition: 400ms;
    position: relative;
    text-decoration: none;
    display: inline-block;
}

.nav a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0;
    height: 2px;
    background: #f68d30;
    transition: width 400ms ease;
}

.nav a.active::after {
  width: 100%;
}

.nav a:hover::after {
  width: 100%;
}

.nav a:active::after {
  width: 100%;
}

.nav ul {
    display: flex;
    list-style: none;
    gap: 20px;
}

.nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s;
}

.nav ul li a:hover {
    color: #7b7b7b;
}

/* ===== button ===== */
.button-modern {
  position: relative;
  display: inline-block;
  padding: 14px 70px;
  margin-top: 20px;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0.4px;
  color: #fff;
  text-decoration: none;
  background: linear-gradient(135deg, rgb(226, 125, 10), #f68d30);
  box-shadow: 0 10px 30px rgba(252, 118, 37, 0.35);
  overflow: hidden;
  transition: transform 0.25s ease, box-shadow 0.25s ease;
  border-radius: 20px;
}

/* glow layer */
.button-modern::before {
  content: "";
  position: absolute;
  inset: 0;
  background: radial-gradient(
    circle at top left,
    rgba(255, 255, 255, 0.45),
    transparent 60%
  );
  opacity: 0;
  transition: opacity 0.25s ease;
}

.button-modern:hover {
	transform: translateY(-3px);
	box-shadow: 0 16px 40px rgba(161, 61, 0, 0.92);
}

.button-modern:hover::before {
  opacity: 1;
}

/* click */
.button-modern:active {
  transform: translateY(0);
  box-shadow: 0 8px 20px rgba(231, 121, 18, 0.35);
}

/* Fade-in effect */
.section {
  opacity: 0;            
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}
.section.visible {
  opacity: 1;
  transform: translateY(0);
}

/* ===== Hero ===== */
.hero {
    padding: 100px 0;
}

.hero .container {
	text-align: center;
	background: linear-gradient( to bottom, rgba(0, 0, 0, 0.45), rgba(0, 0, 0, 0.97) );
    border-top: #f68d30 1px solid;
    border-bottom: #f68d30 1px solid;
    border-radius: 60px;
}

.hero .inner-container {
	max-width: 850px;
	padding: 50px 0;
}

.hero h1 {
    color: #162A54;
    padding-bottom: 15px;
}

/* ===== Footer ===== */
.footer {
    background: #111;
    color: #fff;
    padding: 40px 0;
}

.footer-cols {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.footer .col {
    min-width: 200px;
}

.footer-left {
    text-align: left;
}

.footer img {
	width: 170px;
}

.footer-nav {
    text-align: right;
}

.footer-nav ul {
    display: flex;
    gap: 15px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-nav ul li a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-nav ul li a:hover {
    color: #00D4FF;
}

/* ===== Copyright ===== */
.copyright {
    background: #000;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    font-size: 0.9rem;
}
    

/* ===== Overige pagina's ===== */


/* ===== Contact pagina ===== */


/* ===== Responsive ===== */
@media (max-width: 1200px) {

}

@media (max-width: 992px) {

}

@media (max-width: 768px) {
    .header .container {
        flex-direction: column;
        gap: 10px;
    }

    .nav ul {
        flex-direction: column;
        gap: 10px;
        align-items: center;
    }

    /* ===== Footer ===== */
    .footer-cols {
        flex-direction: column;
        text-align: center;
    }

    .footer-left,
    .footer-text,
    .footer-nav {
        text-align: center;
        margin-bottom: 20px;
    }

    .footer-nav ul {
        flex-direction: column;
        gap: 8px;
    }
}
